ConnectionParameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.net.rc
Class ConnectionParameters

    java.lang.Object
      org.dvb.net.rc.ConnectionParameters

    public class ConnectionParameters

extends Object

This class encapsulates the parameters needed to specify the target of a connection.

Constructor Summary
`ConnectionParameters(String number, String username, String password)` Construct a set of connection parameters.
`ConnectionParameters(String number, String username, String password, InetAddress[] dns)` Construct a set of connection parameters.

Method Summary
`InetAddress[]` | `getDNSServer()` Return the addresses of the DNS servers to use for the connection
`String` | `getPassword()` Return the password used in establishing this connection The value returned shall be the one passed into the constructor of this instance.
`String` | `getTarget()` Return the target of this connection for example a phone number.
`String` | `getUsername()` Return the username used in establishing this connection The value returned shall be the one passed into the constructor of this instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionParameters

    public ConnectionParameters(String number,
                                String username,
                                String password)

  Construct a set of connection parameters. Details of the DNS server to use are supplied by the server.

  Parameters:
    `number` - the target of the connection, e.g. a phone number
    `username` - the username to use in connection setup
    `password` - the password to use in connection setup

### ConnectionParameters

    public ConnectionParameters(String number,
                                String username,
                                String password,
                                InetAddress[] dns)

  Construct a set of connection parameters.

  Parameters:
    `number` - the target of the connection, e.g. a phone number
    `username` - the username to use in connection setup
    `password` - the password to use in connection setup
    `dns` - the list of DNS servers to try before reporting failure. The order in which they are interrogated is not specified. Once one result has been obtained, there is no requirement to try others.

Method Detail

### getTarget

    public String getTarget()

  Return the target of this connection for example a phone number. The value returned shall be the one passed into the constructor of this instance.

  Returns:
    the target of the connection

### getUsername

    public String getUsername()

  Return the username used in establishing this connection The value returned shall be the one passed into the constructor of this instance.

  Returns:
    the username used in establishing the connection

### getPassword

    public String getPassword()

  Return the password used in establishing this connection The value returned shall be the one passed into the constructor of this instance.

  Returns:
    the password used in establishing this connection

### getDNSServer

    public InetAddress[] getDNSServer()

  Return the addresses of the DNS servers to use for the connection

  Returns:
    return the addresses of the DNS servers passed into the constructor of the instance or null if none was provided.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD